| # kjs Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KJS::CString Class Reference

8 bit char based string class More...

`#include <ustring.h>`

List of all members.

## Public Member Functions
| CString (const char *c)
| CString (const CString &)
CString & | append (const CString &)
CString & | operator= (const char *c)
CString & | operator= (const CString &)
CString & | operator+= (const CString &)
int | size () const
const char * | c_str () const

## Detailed Description

8 bit char based string class

Definition at line 165 of file ustring.h.

The documentation for this class was generated from the following files:

- ustring.h
- ustring.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:09:36 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001